Skip to main content
`Ctrl`+`K`

# PetscOptionsStringArray

Gets an array of string values for a particular option in the database. The values must be separated with commas with no intervening spaces.

## Synopsis

    #include <petscoptions.h>
    PetscErrorCode PetscOptionsStringArray(const char opt[], const char text[], const char man[], char *value[], PetscInt *nmax, PetscBool  *set)

Logically Collective on the communicator passed in `PetscOptionsBegin()`; No Fortran Support

## Input Parameters

- opt - the option one is seeking

- text - short string describing option

- man - manual page for option

- nmax - maximum number of strings

## Output Parameters

- value - location to copy strings

- nmax - actual number of strings found

- set - `PETSC_TRUE` if found, else `PETSC_FALSE`

## Notes

The user should pass in an array of pointers to char, to hold all the strings returned by this function.

The user is responsible for deallocating the strings that are returned.

Must be used between a `PetscOptionsBegin()` and a `PetscOptionsEnd()`

## See Also

`PetscOptionsGetInt()`, `PetscOptionsGetReal()`, `PetscOptionsHasName()`, `PetscOptionsGetIntArray()`, `PetscOptionsGetRealArray()`, `PetscOptionsBool()`, `PetscOptionsName()`, `PetscOptionsBegin()`, `PetscOptionsEnd()`, `PetscOptionsHeadBegin()`, `PetscOptionsStringArray()`, `PetscOptionsRealArray()`, `PetscOptionsScalar()`, `PetscOptionsBoolGroupBegin()`, `PetscOptionsBoolGroup()`, `PetscOptionsBoolGroupEnd()`, `PetscOptionsFList()`, `PetscOptionsEList()`

## Level

beginner

## Location

include/petscoptions.h

## Examples

src/ts/tutorials/ex11.c
src/ts/tutorials/ex18.c
src/ts/tutorials/ex11_sa.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages